Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::Logger::Settings Struct Reference

Sensor logger settings. More...

`import <SensorLogger.idl;`

## Public Attributes
boolean | isEnabled
| `true` if sensor logging is enabled
int | samplesPerRecord
| Number of samples per log record.
int | logCapacity
| Maximum number of log records in buffer.
boolean | backupEnabled
| `true` if backup to external storage is enabled

## Detailed Description

Sensor logger settings.

Definition at line 45 of file SensorLogger.idl.

## Member Data Documentation

## ◆ backupEnabled

boolean sensors::Logger::Settings::backupEnabled

`true` if backup to external storage is enabled

Definition at line 49 of file SensorLogger.idl.

## ◆ isEnabled

boolean sensors::Logger::Settings::isEnabled

`true` if sensor logging is enabled

Definition at line 46 of file SensorLogger.idl.

## ◆ logCapacity

int sensors::Logger::Settings::logCapacity

Maximum number of log records in buffer.

Definition at line 48 of file SensorLogger.idl.

## ◆ samplesPerRecord

int sensors::Logger::Settings::samplesPerRecord

Number of samples per log record.

Definition at line 47 of file SensorLogger.idl.

The documentation for this struct was generated from the following file:

- SensorLogger.idl